<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>CleavageDlg</class>
 <widget class="QDialog" name="CleavageDlg">
  <property name="windowModality">
   <enum>Qt::NonModal</enum>
  </property>
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>645</width>
    <height>863</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>massXpert: Polymer cleavage</string>
  </property>
  <property name="windowIcon">
   <iconset>
    <normaloff>../../../../.designer/images/massxpert-icon-32.png</normaloff>../../../../.designer/images/massxpert-icon-32.png</iconset>
  </property>
  <property name="sizeGripEnabled">
   <bool>true</bool>
  </property>
  <property name="modal">
   <bool>false</bool>
  </property>
  <layout class="QGridLayout">
   <item row="0" column="0">
    <widget class="QSplitter" name="oligomersSplitter">
     <property name="orientation">
      <enum>Qt::Vertical</enum>
     </property>
     <widget class="QSplitter" name="splitter">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
      <widget class="QGroupBox" name="groupBox">
       <property name="title">
        <string>Configuration of the cleavage</string>
       </property>
       <layout class="QGridLayout" name="gridLayout_4">
        <item row="0" column="0">
         <layout class="QGridLayout" name="gridLayout_3">
          <item row="0" column="0">
           <spacer name="horizontalSpacer_2">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="0" column="1">
           <widget class="QLabel" name="label_14">
            <property name="text">
             <string>&amp;Available cleavage agents</string>
            </property>
            <property name="alignment">
             <set>Qt::AlignCenter</set>
            </property>
            <property name="buddy">
             <cstring>cleavageAgentListWidget</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="2">
           <spacer name="horizontalSpacer_3">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>40</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item row="1" column="0" colspan="3">
           <widget class="QListWidget" name="cleavageAgentListWidget">
            <property name="selectionMode">
             <enum>QAbstractItemView::SingleSelection</enum>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item row="0" column="1">
         <layout class="QVBoxLayout" name="verticalLayout_2">
          <item>
           <spacer name="horizontalSpacer">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>198</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
          <item>
           <widget class="QGroupBox" name="groupBox_5">
            <property name="focusPolicy">
             <enum>Qt::TabFocus</enum>
            </property>
            <property name="title">
             <string>Oligomer coordinates</string>
            </property>
            <layout class="QGridLayout" name="gridLayout_2">
             <item row="0" column="0">
              <layout class="QHBoxLayout" name="horizontalLayout_2">
               <item>
                <widget class="QLabel" name="label">
                 <property name="text">
                  <string>Start:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="oligomerStartLabel">
                 <property name="font">
                  <font>
                   <weight>75</weight>
                   <bold>true</bold>
                  </font>
                 </property>
                 <property name="text">
                  <string>s</string>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
             <item row="0" column="1">
              <layout class="QHBoxLayout" name="horizontalLayout_3">
               <item>
                <widget class="QLabel" name="label_2">
                 <property name="text">
                  <string>End:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="oligomerEndLabel">
                 <property name="font">
                  <font>
                   <weight>75</weight>
                   <bold>true</bold>
                  </font>
                 </property>
                 <property name="text">
                  <string>e</string>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
             <item row="1" column="0" colspan="2">
              <widget class="QCheckBox" name="wholeSequenceCheckBox">
               <property name="text">
                <string>&amp;Whole sequence</string>
               </property>
              </widget>
             </item>
            </layout>
           </widget>
          </item>
          <item>
           <layout class="QHBoxLayout" name="horizontalLayout">
            <item>
             <widget class="QLabel" name="label_3">
              <property name="text">
               <string>Partial cleavages:</string>
              </property>
             </widget>
            </item>
            <item>
             <widget class="QSpinBox" name="partialCleavageSpinBox"/>
            </item>
           </layout>
          </item>
          <item>
           <widget class="QGroupBox" name="groupBox_4">
            <property name="title">
             <string>Ionization level &amp;range</string>
            </property>
            <layout class="QGridLayout" name="gridLayout_1">
             <item row="0" column="0">
              <widget class="QSpinBox" name="ionizeLevelStartSpinBox">
               <property name="toolTip">
                <string>&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Sans Serif'; font-size:7pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Initial ionization level for the oligomers to bear&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
               </property>
               <property name="maximum">
                <number>1000000000</number>
               </property>
               <property name="value">
                <number>1</number>
               </property>
              </widget>
             </item>
             <item row="0" column="1">
              <widget class="QSpinBox" name="ionizeLevelEndSpinBox">
               <property name="toolTip">
                <string>&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Sans Serif'; font-size:7pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Last ionization level for the oligomers to bear&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
               </property>
               <property name="maximum">
                <number>1000000000</number>
               </property>
               <property name="value">
                <number>1</number>
               </property>
              </widget>
             </item>
            </layout>
           </widget>
          </item>
         </layout>
        </item>
       </layout>
      </widget>
      <widget class="QGroupBox" name="groupBox_2">
       <property name="title">
        <string>Ac&amp;tions</string>
       </property>
       <layout class="QGridLayout" name="gridLayout_5">
        <item row="1" column="0" colspan="2">
         <layout class="QHBoxLayout" name="horizontalLayout_7">
          <item>
           <widget class="QCheckBox" name="withSequenceCheckBox">
            <property name="text">
             <string>With &amp;sequence</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QCheckBox" name="stackOligomersCheckBox">
            <property name="text">
             <string>Stack &amp;oligomers</string>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item row="2" column="0" colspan="2">
         <widget class="QGroupBox" name="exportResultsGroupBox">
          <property name="title">
           <string>Export selected results</string>
          </property>
          <layout class="QGridLayout" name="gridLayout">
           <item row="0" column="0">
            <widget class="QComboBox" name="exportResultsComboBox">
             <property name="sizePolicy">
              <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
               <horstretch>0</horstretch>
               <verstretch>0</verstretch>
              </sizepolicy>
             </property>
             <property name="toolTip">
              <string>Export the results either to the clipboard or to a file</string>
             </property>
            </widget>
           </item>
           <item row="1" column="0">
            <widget class="QCheckBox" name="forXpertMinerCheckBox">
             <property name="text">
              <string>For &amp;XpertMiner</string>
             </property>
            </widget>
           </item>
           <item row="2" column="0">
            <layout class="QHBoxLayout" name="horizontalLayout_5">
             <item>
              <widget class="QRadioButton" name="monoRadioButton">
               <property name="text">
                <string>Mono</string>
               </property>
               <property name="checked">
                <bool>true</bool>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QRadioButton" name="avgRadioButton">
               <property name="text">
                <string>Avg</string>
               </property>
              </widget>
             </item>
            </layout>
           </item>
           <item row="3" column="0">
            <layout class="QHBoxLayout" name="horizontalLayout_4">
             <item>
              <widget class="QLabel" name="label_6">
               <property name="text">
                <string>Delimiter: </string>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QLineEdit" name="delimiterLineEdit">
               <property name="toolTip">
                <string>When exporting the results, separate the data elements for
any given oligomer with this character or string. By default, '$' is used.</string>
               </property>
              </widget>
             </item>
            </layout>
           </item>
          </layout>
          <zorder>forXpertMinerCheckBox</zorder>
          <zorder>forXpertMinerCheckBox</zorder>
          <zorder>exportResultsComboBox</zorder>
         </widget>
        </item>
        <item row="3" column="1">
         <spacer name="verticalSpacer">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
            <height>40</height>
           </size>
          </property>
         </spacer>
        </item>
        <item row="0" column="0" colspan="2">
         <widget class="QPushButton" name="cleavePushButton">
          <property name="text">
           <string>&amp;Cleave</string>
          </property>
          <property name="autoDefault">
           <bool>false</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
     </widget>
     <widget class="QSplitter" name="oligoDetailsSplitter">
      <property name="orientation">
       <enum>Qt::Vertical</enum>
      </property>
      <widget class="QGroupBox" name="oligomerGroupBox">
       <property name="title">
        <string>Oligomers</string>
       </property>
       <layout class="QGridLayout">
        <item row="1" column="0">
         <widget class="QGroupBox" name="filteringOptionsGroupBox">
          <property name="title">
           <string>Filtering options (Ctrl+F)</string>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
          <property name="checked">
           <bool>false</bool>
          </property>
          <layout class="QGridLayout">
           <item row="0" column="0">
            <widget class="QFrame" name="filteringOptionsFrame">
             <property name="frameShape">
              <enum>QFrame::NoFrame</enum>
             </property>
             <property name="frameShadow">
              <enum>QFrame::Plain</enum>
             </property>
             <property name="lineWidth">
              <number>0</number>
             </property>
             <layout class="QGridLayout">
              <property name="margin">
               <number>0</number>
              </property>
              <property name="spacing">
               <number>4</number>
              </property>
              <item row="0" column="0">
               <layout class="QVBoxLayout">
                <item>
                 <widget class="QLabel" name="label_13">
                  <property name="text">
                   <string>Partial:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QLineEdit" name="filterPartialLineEdit"/>
                </item>
               </layout>
              </item>
              <item row="0" column="1">
               <layout class="QVBoxLayout">
                <item>
                 <widget class="QLabel" name="label_4">
                  <property name="text">
                   <string>Mono:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QLineEdit" name="filterMonoMassLineEdit"/>
                </item>
               </layout>
              </item>
              <item row="0" column="2">
               <layout class="QVBoxLayout">
                <item>
                 <widget class="QLabel" name="label_5">
                  <property name="text">
                   <string>Avg:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QLineEdit" name="filterAvgMassLineEdit"/>
                </item>
               </layout>
              </item>
              <item row="0" column="3">
               <layout class="QVBoxLayout">
                <item>
                 <widget class="QComboBox" name="toleranceComboBox"/>
                </item>
                <item>
                 <widget class="QLineEdit" name="toleranceLineEdit">
                  <property name="text">
                   <string>1</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item row="0" column="4">
               <layout class="QVBoxLayout">
                <item>
                 <widget class="QLabel" name="label_8">
                  <property name="text">
                   <string>Charge:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QLineEdit" name="filterChargeLineEdit"/>
                </item>
               </layout>
              </item>
             </layout>
            </widget>
           </item>
          </layout>
         </widget>
        </item>
        <item row="0" column="0">
         <widget class="massXpert::CleaveOligomerTableView" name="oligomerTableView"/>
        </item>
       </layout>
      </widget>
      <widget class="QGroupBox" name="groupBox_3">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="title">
        <string>Details</string>
       </property>
       <layout class="QGridLayout">
        <property name="margin">
         <number>9</number>
        </property>
        <property name="spacing">
         <number>6</number>
        </property>
        <item row="0" column="0">
         <widget class="QTabWidget" name="tabWidget">
          <property name="currentIndex">
           <number>0</number>
          </property>
          <widget class="QWidget" name="sequenceDetailsTab">
           <attribute name="title">
            <string>Sequence</string>
           </attribute>
           <layout class="QVBoxLayout">
            <property name="spacing">
             <number>6</number>
            </property>
            <property name="margin">
             <number>9</number>
            </property>
            <item>
             <widget class="QTextBrowser" name="oligomerSequenceTextEdit"/>
            </item>
           </layout>
          </widget>
          <widget class="QWidget" name="cleavageDetailsTab">
           <attribute name="title">
            <string>Cleavage details</string>
           </attribute>
           <layout class="QGridLayout">
            <property name="margin">
             <number>9</number>
            </property>
            <property name="spacing">
             <number>6</number>
            </property>
            <item row="0" column="2">
             <spacer>
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>40</width>
                <height>20</height>
               </size>
              </property>
             </spacer>
            </item>
            <item row="0" column="3">
             <widget class="QGroupBox" name="groupBox_6">
              <property name="title">
               <string>Monomers</string>
              </property>
              <layout class="QGridLayout">
               <item row="0" column="0">
                <widget class="QCheckBox" name="modificationsCheckBox">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="text">
                  <string>Modifications</string>
                 </property>
                 <property name="checkable">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
               <item row="1" column="0">
                <widget class="QCheckBox" name="crossLinksCheckBox">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="text">
                  <string>Cross-links</string>
                 </property>
                 <property name="checkable">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
            <item row="0" column="1">
             <widget class="QGroupBox" name="groupBox_7">
              <property name="title">
               <string>Polymer</string>
              </property>
              <layout class="QGridLayout">
               <property name="margin">
                <number>9</number>
               </property>
               <property name="spacing">
                <number>6</number>
               </property>
               <item row="0" column="1">
                <widget class="QCheckBox" name="rightCapCheckBox">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="text">
                  <string>Right cap</string>
                 </property>
                 <property name="checkable">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
               <item row="1" column="1">
                <widget class="QCheckBox" name="rightModifCheckBox">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="text">
                  <string>Right modif</string>
                 </property>
                 <property name="checkable">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
               <item row="1" column="0">
                <widget class="QCheckBox" name="leftModifCheckBox">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="text">
                  <string>Left modif</string>
                 </property>
                 <property name="checkable">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
               <item row="0" column="0">
                <widget class="QCheckBox" name="leftCapCheckBox">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="text">
                  <string>Left cap</string>
                 </property>
                 <property name="checkable">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
            <item row="0" column="4">
             <spacer>
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>40</width>
                <height>20</height>
               </size>
              </property>
             </spacer>
            </item>
            <item row="0" column="0">
             <spacer>
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>40</width>
                <height>20</height>
               </size>
              </property>
             </spacer>
            </item>
            <item row="1" column="3">
             <spacer>
              <property name="orientation">
               <enum>Qt::Vertical</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>20</width>
                <height>40</height>
               </size>
              </property>
             </spacer>
            </item>
           </layout>
          </widget>
         </widget>
        </item>
       </layout>
      </widget>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>massXpert::CleaveOligomerTableView</class>
   <extends>QTableView</extends>
   <header location="global">cleaveOligomerTableView.hpp</header>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>ionizeLevelStartSpinBox</tabstop>
  <tabstop>ionizeLevelEndSpinBox</tabstop>
  <tabstop>cleavePushButton</tabstop>
  <tabstop>exportResultsComboBox</tabstop>
  <tabstop>tabWidget</tabstop>
  <tabstop>oligomerSequenceTextEdit</tabstop>
 </tabstops>
 <resources/>
 <connections/>
</ui>
